from __future__ import annotations

class MessageList:
    __instance = None
    _messages = []

    @staticmethod 
    def getInstance() -> MessageList:
        """ Static access method. """
        if MessageList.__instance == None:
            MessageList.__instance = MessageList()
        return MessageList.__instance

    def __init__(self):
        """ Virtually private constructor. """
        if MessageList.__instance != None:
            raise Exception("This class is a singleton!")
        else:
            MessageList.__instance = self
    
    def appendMessage(self, message):
        self._messages.append(message)

    def getMessages(self):
        return self._messages